#
# spec file for package cargo-bootstrap
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017 Luke Jones, luke.nukem.jones@gmail.com
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global pkg_version 0_30
%global rel_version 0.30.0
%global dl_url https://dev-static.rust-lang.org/dist

Name:           cargo-bootstrap-%{pkg_version}
Version:        %{rel_version}
Release:        1.1
Summary:        Bootstrap Package for Cargo
License:        MIT or Apache-2.0
Group:          Development/Languages/Other
Url:            https://static.rust-lang.org/dist/index.html
Source0:        %{dl_url}/cargo-%{version}-aarch64-unknown-linux-gnu.tar.gz
Source1:        %{dl_url}/cargo-%{version}-armv7-unknown-linux-gnueabihf.tar.gz
Source2:        %{dl_url}/cargo-%{version}-arm-unknown-linux-gnueabihf.tar.gz
Source3:        %{dl_url}/cargo-%{version}-x86_64-unknown-linux-gnu.tar.gz
Source4:        %{dl_url}/cargo-%{version}-i686-unknown-linux-gnu.tar.gz
Source5:        %{dl_url}/cargo-%{version}-powerpc64-unknown-linux-gnu.tar.gz
Source6:        %{dl_url}/cargo-%{version}-powerpc64le-unknown-linux-gnu.tar.gz
Source7:        %{dl_url}/cargo-%{version}-s390x-unknown-linux-gnu.tar.gz
ExclusiveArch:  %{ix86} x86_64 %{arm} aarch64 ppc64 ppc64le riscv64 s390x

Provides:       cargo-bootstrap = %{version}
Conflicts:      otherproviders(cargo-bootstrap)
Conflicts:		cargo

%description
Bootstrap package for Cargo, crate host for
the Rust systems programming language.

%prep
# cargo-%{version} is replaced with 'nightly' due to upstream packaging.
%ifarch aarch64
%setup -T -b 0 -n cargo-%{version}-aarch64-unknown-linux-gnu
%endif
%ifarch armv7hl
%setup -T -b 1 -n cargo-%{version}-armv7-unknown-linux-gnueabihf
%endif
%ifarch armv6hl
%setup -T -b 2 -n cargo-%{version}-arm-unknown-linux-gnueabihf
%endif
%ifarch x86_64
%setup -T -b 3 -n cargo-%{version}-x86_64-unknown-linux-gnu
%endif
%ifarch %ix86
%setup -T -b 4 -n cargo-%{version}-i686-unknown-linux-gnu
%endif
%ifarch ppc64
%setup -T -b 5 -n cargo-%{version}-powerpc64-unknown-linux-gnu
%endif
%ifarch ppc64le
%setup -T -b 6 -n cargo-%{version}-powerpc64le-unknown-linux-gnu
%endif
%ifarch riscv64
%setup -T -b 3 -n cargo-%{version}-x86_64-unknown-linux-gnu
%endif
%ifarch s390x
%setup -T -b 7 -n cargo-%{version}-s390x-unknown-linux-gnu
%endif

%build

%install
./install.sh --destdir=%{buildroot} --prefix=%{_prefix} --disable-ldconfig
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
mv %{buildroot}%{_prefix}/etc/bash_completion.d/cargo %{buildroot}%{_sysconfdir}/bash_completion.d
rm %{buildroot}%{_datadir}/zsh/site-functions/_cargo
rm -rf %{buildroot}%{_prefix}/lib/rustlib

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/cargo
%config %{_sysconfdir}/bash_completion.d/cargo
%{_datadir}/man/man1/cargo*
%{_datadir}/doc/cargo

%changelog
* Thu Sep 13 2018 Manu Maier <mmanu84@outlook.de>
- Update to 0.30 bootstrap
